Subject: Re: linux-next: manual merge of the rcu tree with the tip tree

From: "Paul E. McKenney" <[email-masked]>
Date: Wed, 18 Dec 2019 17:27:26 -0800

On Thu, Dec 19, 2019 at 11:50:35AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the rcu tree got a conflict in:
> 
>   kernel/cpu.c
> 
> between commit:
> 
>   45178ac0cea8 ("cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order")
> 
> from the tip tree and commit:
> 
>   d62c673f4cfc ("cpu/hotplug, stop_machine: Fix stop_machine vs hotplug order")
> 
> from the rcu tree.
> 
> I fixed it up (I just used the tip tree version) and can carry the fix
> as necessary. This is now fixed as far as linux-next is concerned, but
> any non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

I will pull this one out of the set that I mark for -next.  That way
I can test and you can avoid at least this one conflict.  ;-)

							Thanx, Paul